Bug 980890 - vim does not build in F20: Patch #1111 (7.3.1111) fails
Summary: vim does not build in F20: Patch #1111 (7.3.1111) fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 12:55 UTC by Petr Pisar
Modified: 2013-07-22 00:29 UTC (History)
1 user (show)

Fixed In Version: vim-7.3.1314-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-22 00:29:56 UTC


Attachments (Terms of Use)

Description Petr Pisar 2013-07-03 12:55:48 UTC
It's not possible to build vim in Fedora 20 because applying patch 1111 fails:

Patch #1111 (7.3.1111):
+ echo 'Patch #1111 (7.3.1111):'
+ /usr/bin/cat /builddir/build/SOURCES/7.3.1111
+ /usr/bin/patch -p0 --fuzz=0
patching file src/regexp_nfa.c
patching file src/testdir/test36.in
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file src/testdir/test36.in.rej
patching file src/testdir/test36.ok
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file src/testdir/test36.ok.rej
patching file src/version.c
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.PqZUMt (%prep)
    Bad exit status from /var/tmp/rpm-tmp.PqZUMt (%prep)

Comment 1 Fedora Update System 2013-07-16 15:35:12 UTC
vim-7.3.1314-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.3.1314-1.fc19

Comment 2 Fedora Update System 2013-07-17 03:10:22 UTC
Package vim-7.3.1314-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.3.1314-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13100/vim-7.3.1314-1.fc19
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-07-22 00:29:56 UTC
vim-7.3.1314-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.